## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface IOmitSchemaInfo

All Known Implementing Classes:
  OmitSchemaInfo

    public interface IOmitSchemaInfo

This interface defines the set of properties which determine whether the current schema name is omitted from SQL generated by the SQL Query Builder.

Method Summary
`void` `copy(IOmitSchemaInfo iOmitSchemaInfo)` Copy the IOmitSchemaInfo passed as a parameter to this OmitSchemaInfo.
`java.lang.String` `encode()` Encodes the given `IOmitSchemaInfo` object for persistence.
`boolean` `equals(IOmitSchemaInfo iOmitSchemaInfo)` Returns true if the IOmitSchemaInfo passed has the same values as this OmitSchemaInfo
`java.lang.String` `getCurrentSchema()` Gets the current schema as input by the user.
`boolean` `getOmitCurrentSchema()` Gets whether or not to omit the current schema name in SQL generated by the SQL Builder.
`boolean` `getUseAUIDAsCurrentSchema()` Gets whether or not to use the authorisation ID as the current schema name for the omit current schema setting.
`void` `initFromPreferences()` Initialises the `OmitSchemaInfo` from Eclipse preference store.
`void` `setChanged()` Marks this object as having been changed.
`void` `setCurrentSchema(java.lang.String currentSchema)` Sets the current schema as input by the user.
`void` `setOmitCurrentSchema(boolean omitCurrentSchema)` Sets whether or not to omit the current schema name in SQL generated by the SQL Builder.
`void` `setUseAUIDAsCurrentSchema(boolean useAUIDAsCurrentSchema)` Sets whether or not to use the authorisation ID as the current schema name for the omit current schema setting.

Method Detail

### getOmitCurrentSchema

    boolean getOmitCurrentSchema()

  Gets whether or not to omit the current schema name in SQL generated by the SQL Builder.

  Returns:
    true when the current schema should be omitted, otherwise false.

### setOmitCurrentSchema

    void setOmitCurrentSchema(boolean omitCurrentSchema)

  Sets whether or not to omit the current schema name in SQL generated by the SQL Builder.

### getUseAUIDAsCurrentSchema

    boolean getUseAUIDAsCurrentSchema()

  Gets whether or not to use the authorisation ID as the current schema name for the omit current schema setting.

  Returns:
    true when the authorisation ID should be used as the current schema.

### setUseAUIDAsCurrentSchema

    void setUseAUIDAsCurrentSchema(boolean useAUIDAsCurrentSchema)

  Sets whether or not to use the authorisation ID as the current schema name for the omit current schema setting.

### getCurrentSchema

    java.lang.String getCurrentSchema()

  Gets the current schema as input by the user.

  Returns:
    the current schema as input by the user.

### setCurrentSchema

    void setCurrentSchema(java.lang.String currentSchema)

  Sets the current schema as input by the user.

### equals

    boolean equals(IOmitSchemaInfo iOmitSchemaInfo)

  Returns true if the IOmitSchemaInfo passed has the same values as this OmitSchemaInfo

  Parameters:
    `iOmitSchemaInfo` -

### copy

    void copy(IOmitSchemaInfo iOmitSchemaInfo)

  Copy the IOmitSchemaInfo passed as a parameter to this OmitSchemaInfo.

  Parameters:
    `iOmitSchemaInfo` - `IOmitSchemaInfo` object to be copied.

### initFromPreferences

    void initFromPreferences()

  Initialises the `OmitSchemaInfo` from Eclipse preference store.

### setChanged

    void setChanged()

  Marks this object as having been changed.

### encode

    java.lang.String encode()

  Encodes the given `IOmitSchemaInfo` object for persistence.

  Returns:
    encoded String
  See Also:
    `OmitSchemaInfo.decode(String)`